IOSS 2.0

Public Types | Public Member Functions | Private Types | Private Attributes | List of all members
assert_context Class Reference

`#include <Ioss_SmartAssert.h>`

## Public Types
typedef std::pair< string, string > | val_and_str
using | vals_array = std::vector< val_and_str >

## Public Member Functions
| assert_context ()
void | set_file_line (const char *file, int line)
const string & | get_context_file () const
int | get_context_line () const
void | set_expr (const string &str)
const string & | get_expr () const
const vals_array & | get_vals_array () const
void | add_val (const string &val, const string &str)
void | set_level (int nLevel)
int | get_level () const
void | set_level_msg (const char *strMsg)
const string & | get_level_msg () const

## Private Types
using | string = std::string

## Private Attributes
string | file_
int | line_
string | expr_
vals_array | vals_
int | level_
string | msg_

## Member Typedef Documentation

## ◆ string

using assert_context::string = std::string
| private

## ◆ val_and_str

typedef std::pair<string, string> assert_context::val_and_str

## ◆ vals_array

using assert_context::vals_array = std::vector<val_and_str>

## Constructor & Destructor Documentation

## ◆ assert_context()

assert_context::assert_context | ( |  | ) |
| inline

## Member Function Documentation

## ◆ add_val()

void assert_context::add_val | ( | const string & | val,
|  | const string & | str
| ) |  |
| inline

## ◆ get_context_file()

const string& assert_context::get_context_file | ( |  | ) | const
| inline

## ◆ get_context_line()

int assert_context::get_context_line | ( |  | ) | const
| inline

## ◆ get_expr()

const string& assert_context::get_expr | ( |  | ) | const
| inline

## ◆ get_level()

int assert_context::get_level | ( |  | ) | const
| inline

## ◆ get_level_msg()

const string& assert_context::get_level_msg | ( |  | ) | const
| inline

## ◆ get_vals_array()

const vals_array& assert_context::get_vals_array | ( |  | ) | const
| inline

## ◆ set_expr()

void assert_context::set_expr | ( | const string & | str | ) |
| inline

## ◆ set_file_line()

void assert_context::set_file_line | ( | const char * | file,
|  | int | line
| ) |  |
| inline

## ◆ set_level()

void assert_context::set_level | ( | int | nLevel | ) |
| inline

## ◆ set_level_msg()

void assert_context::set_level_msg | ( | const char * | strMsg | ) |
| inline

## Member Data Documentation

## ◆ expr_

string assert_context::expr_
| private

## ◆ file_

string assert_context::file_
| private

## ◆ level_

int assert_context::level_
| private

## ◆ line_

int assert_context::line_
| private

## ◆ msg_

string assert_context::msg_
| private

## ◆ vals_

vals_array assert_context::vals_
| private

The documentation for this class was generated from the following file:

- src/Ioss_SmartAssert.h